* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* body of all pages */
body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
    background: linear-gradient(90deg, rgba(2, 0, 36, 1) 0%, rgba(9, 9, 121, 1) 35%, rgba(0, 212, 255, 1) 100%);
    color: #333;
    margin-top: 80px;
}


/* Style for the nav bar */
.nav-bar {
    padding: 10px 10px; 
    position: fixed; 
    top: 0; 
    left: 0; 
    width: 100%; 
    z-index: 1000; 
    align-items: center;
    background: rgba(200, 200, 200, 0.3); /* light grey with transparency */
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px); /* for Safari support */
    border-bottom: 1px solid rgba(200, 200, 200, 0.4); /* optional subtle border */
}

/* Style for the search bar */
.search-container input {
    width: 300px;
    padding: 10px; 
    border-radius: 5px;
    border: 1px solid #ccc;
    margin-left: 0px; 
    font-size: 1.3rem;
}

.search-container{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 13px; 
}

/* Style for the user icon */
#user-icon {
    font-size: 1.9rem; 
     color: #ffffff; 
    cursor: pointer; 
}


.container {
    width: 80%;
    margin: 0 auto;
    padding: 20px;
    background: linear-gradient(90deg, rgba(2, 0, 36, 1) 0%, rgba(9, 9, 121, 1) 35%, rgba(0, 212, 255, 1) 100%);
    border-radius: 8px;
}

.question-box {
    margin-bottom: 20px;
    padding: 20px; 
    background: linear-gradient(90deg, rgba(209, 208, 217, 1) 55%, rgba(150, 150, 171, 1) 100%, rgba(0, 212, 255, 1) 100%);
    border-radius: 8px;
    max-width: 600px;  
    margin-left: auto;  
    margin-right: auto; 
}

ul {
    list-style: none;
}

ul li {
    margin: 6px 0; 
}

ul li a {
     color: #171d88;
     font-size: 1.2rem;
     line-height: 1.8;
     text-decoration: none;
}

ul li a:hover {
    color: #ad1b08;
}
    

footer {
    text-align: center;
    margin-top: 30px;
    font-size: 1rem;
    color: #888;
}

 .profile,  .leaderboard, .settings {
            display: flex;
            flex-direction: row;
            align-items: center;
            padding: 10px;
            justify-content: space-evenly;
            background: linear-gradient(90deg, rgba(209, 208, 217, 1) 79%, rgba(150, 150, 171, 1) 100%, rgba(0, 212, 255, 1) 100%);
            max-width: 600px;
            margin:20px auto;
            border-radius: 8px;
        }

.title{
             font-size: 1.15rem;
            font-weight: bold;
            color: #837c7c;
 }

        
 .result, .head, .logout, .profile-picture{
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            font-size: 1.45rem;
            font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
        }

#logout-button{
           background-color: #ee0a0a;
            border: none;
            padding: 15px 30px;
            border-radius: 8px;
            margin: 40px 0;
                  
        }
.logout #logout-button a{
    text-decoration: none;
    color: #ffffff;
}

h3:not(.section-head){
    color: #ffffff;
    margin-top: 30px;
}
    

#questionBox,p , .quiz-container{
    margin: 15px auto;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    max-width: 820px;
}


a :not(ul li a) {
    font-size: 1.05rem;
    font-weight: bold;
    color: #efeff0;
    text-decoration: none;
}

.home-button {
    background-color: #810f0f;
    border: none;
    padding: 10px 20px;
    margin: 0 10px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1.1rem;
}

.home-button a{
    color: #ffffff;
    text-decoration: none;
}
   
.number{
    font-size: 1.4rem;
    font-weight: bold;
    color: #efe9e9;
}

.fnum,.snum{
    color:#00f400
}

#answer-box, .clue-submit{
    margin: 15px auto;
    padding:20px;
    max-width: 820px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
}

.answer-input{
    width: 100%;
    padding: 15px;
    font-size: 1.07rem;
    font-weight: bold;
    color: #000000;
    box-sizing: border-box;
    background-color: #ffffff;
    text-align: center;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

#timer{
    background-color: #0c1050;
    color: #ffffff;
    font-size: 1.14rem;
    float: right;
    padding: 5px 20px;
    margin: 0 10px;
    border-radius: 10px;
}


/* p{
    background-color: #F0F0F0;
    font-size: 1.15rem;
    background: #000000;
    background: linear-gradient(90deg, rgba(209, 208, 217, 1) 79%, rgba(150, 150, 171, 1) 100%, rgba(0, 212, 255, 1) 100%);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
} */


.clue-btn, .submit{
    font-size: 1.05rem;
    font-weight: bold;
    width: 100%;
    margin: 15px auto;
    padding: 15px;
    color: #FFFFFF;
    cursor: pointer;
}

.clue:not(p) {
    background-color: #810f0f;
    border: none;
    color: #ffffff;
}

.submit {
    background-color: #0c680c;
    border: none;
}

.clue-num{
    font-weight: bold;
}


.overlay {
      position: fixed;
      top: 0; left: 0;
      width: 100%; height: 100%;
      background: rgba(0, 0, 0, 0.8);
      color: white;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      z-index: 1000;
      text-align: center;
      padding: 20px;
    }
    .hidden {
      display: none;
    }
    .feedback {
      margin-top: 20px;
      font-size: 18px;
      font-weight: bold;
    }
    
    #feedbackOverlay.correct {
      background-color: rgba(0, 128, 0, 0.85); /* green overlay */
    }
    #feedbackOverlay.wrong {
      background-color: rgba(128, 0, 0, 0.85); /* red overlay */
    }

    .start-btn, #nextBtn, #startBtn {
      background-color: #134a15; /* Green */
      color: white;
      padding: 10px 20px;
      border: none;
      border-radius: 5px;
      cursor: pointer;
      font-size: 1.13rem;
    }

.replay{
     background-color: #810f0f;
}
    


#choicesContainer {
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin-top: 20px;
}

.choice-btn {
  padding: 12px 20px;
  font-size: 16px;
  background-color: #34db7f;
  color: white;
  border: none;
  border-radius: 8px;
  cursor: pointer;
}

.choice-btn:hover {
  background-color: #5cbc84;
}
   


.leaderboard-container {
    width: 60%;
    margin: 50px auto;
    padding: 20px;
    background: #d1d0d9;
    background: linear-gradient(90deg, rgba(209, 208, 217, 1) 79%, rgba(150, 150, 171, 1) 100%, rgba(0, 212, 255, 1) 100%);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}



h1 {
    text-align: center;
    color: #333;
}

table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
}

table th, table td {
    padding: 10px;
    text-align: center;
    border-bottom: 1px solid #ddd;
}

table th {
    background-color: #333;
    color: white;
}

table tr:hover {
    background-color: #f1f1f1;
}

.medal {
    margin-left: 10px;
    font-size: 24px;
}

.medal-gold {
    color: gold;
}

.medal-silver {
    color: silver;
}

.medal-bronze {
    color: #cd7f32;
}

.star {
    margin-left: 10px;
    font-size: 18px;
    color: #ccc;
}

.star-filled {
    color: gold;
}



/* Responsive Design */
@media (max-width: 768px) {
    .container, .leaderboard-container {
        width: 90%;
    }

    header h1 {
        font-size: 1rem;
    }

    .question-box {
        padding: 8px; 
    }

    .section-head {
        font-size: 1.35rem; 
    }

    table th, table td {
        font-size: 14px;
    }
}

@media (max-width: 380px) {
    .search-container input {
    width: 200px;
    padding: 7px; 
    border-radius: 5px;
    border: 1px solid #ccc;
}

}


   @media screen and (max-width: 600px) {
            .profile, .leaderboard, .settings {
                flex-direction: column;
                align-items: center;
            }
            .title{
                font-size: 1.05rem;
            }
            .result, .head, .logout, .profile-picture{
                font-size: 1.2rem;
            }

            
        }



  